>From 725737bfc6b7cb0a97a52c86f3721f04da0e7363 Mon Sep 17 00:00:00 2001
From: Matthew Harmsen <mharmsen@redhat.com>
Date: Wed, 14 May 2014 11:57:45 -0700
Subject: [PATCH] Change LDAP Attributes to allow for tr_TR locale

* PKI TRAC Ticket #946 - Installation of IPA hangs up
  when LANG is set to tr_TR.UTF8
---
 base/ca/shared/conf/index.ldif            | 148 +++++++++++++++---------------
 base/ca/shared/conf/vlvtasks.ldif         |  70 +++++++-------
 base/kra/shared/conf/index.ldif           | 148 +++++++++++++++---------------
 base/kra/shared/conf/vlvtasks.ldif        |  28 +++---
 base/ocsp/shared/conf/index.ldif          | 148 +++++++++++++++---------------
 base/tks/shared/conf/index.ldif           | 148 +++++++++++++++---------------
 base/tps-tomcat/shared/conf/vlvtasks.ldif |   6 +-
 base/tps/scripts/vlvtasks.ldif            |   6 +-
 8 files changed, 351 insertions(+), 351 deletions(-)

diff --git a/base/ca/shared/conf/index.ldif b/base/ca/shared/conf/index.ldif
index 4bc8aeb..0c1c552 100644
--- a/base/ca/shared/conf/index.ldif
+++ b/base/ca/shared/conf/index.ldif
@@ -1,198 +1,198 @@
 dn: cn=revokedby,cn=index,cn={database},cn=ldbm database, cn=plugins, cn=config
 objectClass: top
 objectClass: nsIndex
-nsIndexType: eq 
-nsSystemIndex: false
+nsindexType: eq
+nsSystemindex: false
 cn: revokedby
 
 dn: cn=issuedby,cn=index,cn={database},cn=ldbm database, cn=plugins, cn=config
 objectClass: top
 objectClass: nsIndex
-nsIndexType: eq
-nsSystemIndex: false
+nsindexType: eq
+nsSystemindex: false
 cn: issuedby
 
 dn: cn=publicKeyData,cn=index,cn={database},cn=ldbm database, cn=plugins, cn=config
 objectClass: top
 objectClass: nsIndex
-nsIndexType: eq
-nsSystemIndex: false
+nsindexType: eq
+nsSystemindex: false
 cn: publicKeyData
 
 dn: cn=clientId,cn=index,cn={database},cn=ldbm database, cn=plugins, cn=config
 objectClass: top
 objectClass: nsIndex
-nsIndexType: eq
-nsSystemIndex: false
+nsindexType: eq
+nsSystemindex: false
 cn: clientId
 
 dn: cn=dataType,cn=index,cn={database},cn=ldbm database, cn=plugins, cn=config
 objectClass: top
 objectClass: nsIndex
-nsIndexType: eq
-nsSystemIndex: false
+nsindexType: eq
+nsSystemindex: false
 cn: dataType
 
 dn: cn=status,cn=index,cn={database},cn=ldbm database, cn=plugins, cn=config
 objectClass: top
 objectClass: nsIndex
-nsIndexType: eq
-nsSystemIndex: false
+nsindexType: eq
+nsSystemindex: false
 cn: status
 
 dn: cn=description,cn=index,cn={database},cn=ldbm database, cn=plugins, cn=config
 objectClass: top
 objectClass: nsIndex
-nsIndexType: eq
-nsIndexType: pres
-nsSystemIndex: false
+nsindexType: eq
+nsindexType: pres
+nsSystemindex: false
 cn: description
 
 dn: cn=serialno,cn=index,cn={database},cn=ldbm database, cn=plugins, cn=config
 objectClass: top
 objectClass: nsIndex
-nsIndexType: eq
-nsIndexType: pres
-nsSystemIndex: false
+nsindexType: eq
+nsindexType: pres
+nsSystemindex: false
 cn: serialno
 
 dn: cn=metaInfo,cn=index,cn={database},cn=ldbm database, cn=plugins, cn=config
 objectClass: top
 objectClass: nsIndex
-nsIndexType: eq
-nsIndexType: pres
-nsSystemIndex: false
+nsindexType: eq
+nsindexType: pres
+nsSystemindex: false
 cn: metaInfo
 
 dn: cn=certstatus,cn=index,cn={database},cn=ldbm database, cn=plugins, cn=config
 objectClass: top
 objectClass: nsIndex
-nsIndexType: eq
-nsIndexType: pres
-nsSystemIndex: false
+nsindexType: eq
+nsindexType: pres
+nsSystemindex: false
 cn: certstatus
 
 dn: cn=requestid,cn=index,cn={database},cn=ldbm database, cn=plugins, cn=config
 objectClass: top
 objectClass: nsIndex
-nsIndexType: eq
-nsIndexType: pres
-nsSystemIndex: false
+nsindexType: eq
+nsindexType: pres
+nsSystemindex: false
 cn: requestid
 
 dn: cn=requesttype,cn=index,cn={database},cn=ldbm database, cn=plugins, cn=config
 objectClass: top
 objectClass: nsIndex
-nsIndexType: eq
-nsIndexType: pres
-nsSystemIndex: false
+nsindexType: eq
+nsindexType: pres
+nsSystemindex: false
 cn: requesttype
 
 dn: cn=requeststate,cn=index,cn={database},cn=ldbm database, cn=plugins, cn=config
 objectClass: top
 objectClass: nsIndex
-nsIndexType: eq
-nsIndexType: pres
-nsSystemIndex: false
+nsindexType: eq
+nsindexType: pres
+nsSystemindex: false
 cn: requeststate
 
 dn: cn=requestowner,cn=index,cn={database},cn=ldbm database, cn=plugins, cn=config
 objectClass: top
 objectClass: nsIndex
-nsIndexType: eq
-nsIndexType: pres
-nsSystemIndex: false
+nsindexType: eq
+nsindexType: pres
+nsSystemindex: false
 cn: requestowner
 
 dn: cn=notbefore,cn=index,cn={database},cn=ldbm database, cn=plugins, cn=config
 objectClass: top
 objectClass: nsIndex
-nsIndexType: eq
-nsIndexType: pres
-nsSystemIndex: false
+nsindexType: eq
+nsindexType: pres
+nsSystemindex: false
 cn: notbefore
 
 dn: cn=notafter,cn=index,cn={database},cn=ldbm database, cn=plugins, cn=config
 objectClass: top
 objectClass: nsIndex
-nsIndexType: eq
-nsIndexType: pres
-nsSystemIndex: false
+nsindexType: eq
+nsindexType: pres
+nsSystemindex: false
 cn: notafter
 
 dn: cn=duration,cn=index,cn={database},cn=ldbm database, cn=plugins, cn=config
 objectClass: top
 objectClass: nsIndex
-nsIndexType: eq
-nsIndexType: pres
-nsSystemIndex: false
+nsindexType: eq
+nsindexType: pres
+nsSystemindex: false
 cn: duration
 
 dn: cn=dateOfCreate,cn=index,cn={database},cn=ldbm database, cn=plugins, cn=config
 objectClass: top
 objectClass: nsIndex
-nsIndexType: eq
-nsIndexType: pres
-nsSystemIndex: false
+nsindexType: eq
+nsindexType: pres
+nsSystemindex: false
 cn: dateOfCreate
 
 dn: cn=revokedOn,cn=index,cn={database},cn=ldbm database, cn=plugins, cn=config
 objectClass: top
 objectClass: nsIndex
-nsIndexType: eq
-nsIndexType: pres
-nsSystemIndex: false
+nsindexType: eq
+nsindexType: pres
+nsSystemindex: false
 cn: revokedOn
 
 dn: cn=archivedBy,cn=index,cn={database},cn=ldbm database, cn=plugins, cn=config
 objectClass: top
 objectClass: nsIndex
-nsIndexType: eq
-nsIndexType: pres
-nsSystemIndex: false
+nsindexType: eq
+nsindexType: pres
+nsSystemindex: false
 cn: archivedBy
 
 dn: cn=ownername,cn=index,cn={database},cn=ldbm database, cn=plugins, cn=config
 objectClass: top
 objectClass: nsIndex
-nsIndexType: eq
-nsIndexType: pres
-nsIndexType: sub
-nsSystemIndex: false
+nsindexType: eq
+nsindexType: pres
+nsindexType: sub
+nsSystemindex: false
 cn: ownername
 
 dn: cn=subjectname,cn=index,cn={database},cn=ldbm database, cn=plugins, cn=config
 objectClass: top
 objectClass: nsIndex
-nsIndexType: eq
-nsIndexType: pres
-nsIndexType: sub
-nsSystemIndex: false
+nsindexType: eq
+nsindexType: pres
+nsindexType: sub
+nsSystemindex: false
 cn: subjectname
 
 dn: cn=requestsourceid,cn=index,cn={database},cn=ldbm database, cn=plugins, cn=config
 objectClass: top
 objectClass: nsIndex
-nsIndexType: eq
-nsIndexType: pres
-nsIndexType: sub
-nsSystemIndex: false
+nsindexType: eq
+nsindexType: pres
+nsindexType: sub
+nsSystemindex: false
 cn: requestsourceid
 
 dn: cn=revInfo,cn=index,cn={database},cn=ldbm database, cn=plugins, cn=config
 objectClass: top
 objectClass: nsIndex
-nsIndexType: eq
-nsIndexType: pres
-nsIndexType: sub
-nsSystemIndex: false
+nsindexType: eq
+nsindexType: pres
+nsindexType: sub
+nsSystemindex: false
 cn: revInfo
 
 dn: cn=extension,cn=index,cn={database},cn=ldbm database, cn=plugins, cn=config
 objectClass: top
 objectClass: nsIndex
-nsIndexType: eq
-nsIndexType: pres
-nsIndexType: sub
-nsSystemIndex: false
+nsindexType: eq
+nsindexType: pres
+nsindexType: sub
+nsSystemindex: false
 cn: extension
diff --git a/base/ca/shared/conf/vlvtasks.ldif b/base/ca/shared/conf/vlvtasks.ldif
index 5458e8a..1c74436 100644
--- a/base/ca/shared/conf/vlvtasks.ldif
+++ b/base/ca/shared/conf/vlvtasks.ldif
@@ -3,38 +3,38 @@ objectclass: top
 objectclass: extensibleObject
 cn: index1160589769
 ttl: 10
-nsInstance: {database}
-nsIndexVLVAttribute: allCerts-{instanceId}Index
-nsIndexVLVAttribute: allExpiredCerts-{instanceId}Index
-nsIndexVLVAttribute: allInvalidCerts-{instanceId}Index
-nsIndexVLVAttribute: allInValidCertsNotBefore-{instanceId}Index
-nsIndexVLVAttribute: allNonRevokedCerts-{instanceId}Index
-nsIndexVLVAttribute: allRevokedCaCerts-{instanceId}Index
-nsIndexVLVAttribute: allRevokedCerts-{instanceId}Index
-nsIndexVLVAttribute: allRevokedCertsNotAfter-{instanceId}Index
-nsIndexVLVAttribute: allRevokedExpiredCerts-{instanceId}Index
-nsIndexVLVAttribute: allRevokedOrRevokedExpiredCaCerts-{instanceId}Index
-nsIndexVLVAttribute: allRevokedOrRevokedExpiredCerts-{instanceId}Index
-nsIndexVLVAttribute: allValidCerts-{instanceId}Index
-nsIndexVLVAttribute: allValidCertsNotAfter-{instanceId}Index
-nsIndexVLVAttribute: allValidOrRevokedCerts-{instanceId}Index
-nsIndexVLVAttribute: caAll-{instanceId}Index
-nsIndexVLVAttribute: caCanceled-{instanceId}Index
-nsIndexVLVAttribute: caCanceledEnrollment-{instanceId}Index
-nsIndexVLVAttribute: caCanceledRenewal-{instanceId}Index
-nsIndexVLVAttribute: caCanceledRevocation-{instanceId}Index
-nsIndexVLVAttribute: caComplete-{instanceId}Index
-nsIndexVLVAttribute: caCompleteEnrollment-{instanceId}Index
-nsIndexVLVAttribute: caCompleteRenewal-{instanceId}Index
-nsIndexVLVAttribute: caCompleteRevocation-{instanceId}Index
-nsIndexVLVAttribute: caEnrollment-{instanceId}Index
-nsIndexVLVAttribute: caPending-{instanceId}Index
-nsIndexVLVAttribute: caPendingEnrollment-{instanceId}Index
-nsIndexVLVAttribute: caPendingRenewal-{instanceId}Index
-nsIndexVLVAttribute: caPendingRevocation-{instanceId}Index
-nsIndexVLVAttribute: caRejected-{instanceId}Index
-nsIndexVLVAttribute: caRejectedEnrollment-{instanceId}Index
-nsIndexVLVAttribute: caRejectedRenewal-{instanceId}Index
-nsIndexVLVAttribute: caRejectedRevocation-{instanceId}Index
-nsIndexVLVAttribute: caRenewal-{instanceId}Index
-nsIndexVLVAttribute: caRevocation-{instanceId}Index
+nsinstance: {database}
+nsindexVLVAttribute: allCerts-{instanceId}Index
+nsindexVLVAttribute: allExpiredCerts-{instanceId}Index
+nsindexVLVAttribute: allInvalidCerts-{instanceId}Index
+nsindexVLVAttribute: allInValidCertsNotBefore-{instanceId}Index
+nsindexVLVAttribute: allNonRevokedCerts-{instanceId}Index
+nsindexVLVAttribute: allRevokedCaCerts-{instanceId}Index
+nsindexVLVAttribute: allRevokedCerts-{instanceId}Index
+nsindexVLVAttribute: allRevokedCertsNotAfter-{instanceId}Index
+nsindexVLVAttribute: allRevokedExpiredCerts-{instanceId}Index
+nsindexVLVAttribute: allRevokedOrRevokedExpiredCaCerts-{instanceId}Index
+nsindexVLVAttribute: allRevokedOrRevokedExpiredCerts-{instanceId}Index
+nsindexVLVAttribute: allValidCerts-{instanceId}Index
+nsindexVLVAttribute: allValidCertsNotAfter-{instanceId}Index
+nsindexVLVAttribute: allValidOrRevokedCerts-{instanceId}Index
+nsindexVLVAttribute: caAll-{instanceId}Index
+nsindexVLVAttribute: caCanceled-{instanceId}Index
+nsindexVLVAttribute: caCanceledEnrollment-{instanceId}Index
+nsindexVLVAttribute: caCanceledRenewal-{instanceId}Index
+nsindexVLVAttribute: caCanceledRevocation-{instanceId}Index
+nsindexVLVAttribute: caComplete-{instanceId}Index
+nsindexVLVAttribute: caCompleteEnrollment-{instanceId}Index
+nsindexVLVAttribute: caCompleteRenewal-{instanceId}Index
+nsindexVLVAttribute: caCompleteRevocation-{instanceId}Index
+nsindexVLVAttribute: caEnrollment-{instanceId}Index
+nsindexVLVAttribute: caPending-{instanceId}Index
+nsindexVLVAttribute: caPendingEnrollment-{instanceId}Index
+nsindexVLVAttribute: caPendingRenewal-{instanceId}Index
+nsindexVLVAttribute: caPendingRevocation-{instanceId}Index
+nsindexVLVAttribute: caRejected-{instanceId}Index
+nsindexVLVAttribute: caRejectedEnrollment-{instanceId}Index
+nsindexVLVAttribute: caRejectedRenewal-{instanceId}Index
+nsindexVLVAttribute: caRejectedRevocation-{instanceId}Index
+nsindexVLVAttribute: caRenewal-{instanceId}Index
+nsindexVLVAttribute: caRevocation-{instanceId}Index
diff --git a/base/kra/shared/conf/index.ldif b/base/kra/shared/conf/index.ldif
index 4bc8aeb..0c1c552 100644
--- a/base/kra/shared/conf/index.ldif
+++ b/base/kra/shared/conf/index.ldif
@@ -1,198 +1,198 @@
 dn: cn=revokedby,cn=index,cn={database},cn=ldbm database, cn=plugins, cn=config
 objectClass: top
 objectClass: nsIndex
-nsIndexType: eq 
-nsSystemIndex: false
+nsindexType: eq
+nsSystemindex: false
 cn: revokedby
 
 dn: cn=issuedby,cn=index,cn={database},cn=ldbm database, cn=plugins, cn=config
 objectClass: top
 objectClass: nsIndex
-nsIndexType: eq
-nsSystemIndex: false
+nsindexType: eq
+nsSystemindex: false
 cn: issuedby
 
 dn: cn=publicKeyData,cn=index,cn={database},cn=ldbm database, cn=plugins, cn=config
 objectClass: top
 objectClass: nsIndex
-nsIndexType: eq
-nsSystemIndex: false
+nsindexType: eq
+nsSystemindex: false
 cn: publicKeyData
 
 dn: cn=clientId,cn=index,cn={database},cn=ldbm database, cn=plugins, cn=config
 objectClass: top
 objectClass: nsIndex
-nsIndexType: eq
-nsSystemIndex: false
+nsindexType: eq
+nsSystemindex: false
 cn: clientId
 
 dn: cn=dataType,cn=index,cn={database},cn=ldbm database, cn=plugins, cn=config
 objectClass: top
 objectClass: nsIndex
-nsIndexType: eq
-nsSystemIndex: false
+nsindexType: eq
+nsSystemindex: false
 cn: dataType
 
 dn: cn=status,cn=index,cn={database},cn=ldbm database, cn=plugins, cn=config
 objectClass: top
 objectClass: nsIndex
-nsIndexType: eq
-nsSystemIndex: false
+nsindexType: eq
+nsSystemindex: false
 cn: status
 
 dn: cn=description,cn=index,cn={database},cn=ldbm database, cn=plugins, cn=config
 objectClass: top
 objectClass: nsIndex
-nsIndexType: eq
-nsIndexType: pres
-nsSystemIndex: false
+nsindexType: eq
+nsindexType: pres
+nsSystemindex: false
 cn: description
 
 dn: cn=serialno,cn=index,cn={database},cn=ldbm database, cn=plugins, cn=config
 objectClass: top
 objectClass: nsIndex
-nsIndexType: eq
-nsIndexType: pres
-nsSystemIndex: false
+nsindexType: eq
+nsindexType: pres
+nsSystemindex: false
 cn: serialno
 
 dn: cn=metaInfo,cn=index,cn={database},cn=ldbm database, cn=plugins, cn=config
 objectClass: top
 objectClass: nsIndex
-nsIndexType: eq
-nsIndexType: pres
-nsSystemIndex: false
+nsindexType: eq
+nsindexType: pres
+nsSystemindex: false
 cn: metaInfo
 
 dn: cn=certstatus,cn=index,cn={database},cn=ldbm database, cn=plugins, cn=config
 objectClass: top
 objectClass: nsIndex
-nsIndexType: eq
-nsIndexType: pres
-nsSystemIndex: false
+nsindexType: eq
+nsindexType: pres
+nsSystemindex: false
 cn: certstatus
 
 dn: cn=requestid,cn=index,cn={database},cn=ldbm database, cn=plugins, cn=config
 objectClass: top
 objectClass: nsIndex
-nsIndexType: eq
-nsIndexType: pres
-nsSystemIndex: false
+nsindexType: eq
+nsindexType: pres
+nsSystemindex: false
 cn: requestid
 
 dn: cn=requesttype,cn=index,cn={database},cn=ldbm database, cn=plugins, cn=config
 objectClass: top
 objectClass: nsIndex
-nsIndexType: eq
-nsIndexType: pres
-nsSystemIndex: false
+nsindexType: eq
+nsindexType: pres
+nsSystemindex: false
 cn: requesttype
 
 dn: cn=requeststate,cn=index,cn={database},cn=ldbm database, cn=plugins, cn=config
 objectClass: top
 objectClass: nsIndex
-nsIndexType: eq
-nsIndexType: pres
-nsSystemIndex: false
+nsindexType: eq
+nsindexType: pres
+nsSystemindex: false
 cn: requeststate
 
 dn: cn=requestowner,cn=index,cn={database},cn=ldbm database, cn=plugins, cn=config
 objectClass: top
 objectClass: nsIndex
-nsIndexType: eq
-nsIndexType: pres
-nsSystemIndex: false
+nsindexType: eq
+nsindexType: pres
+nsSystemindex: false
 cn: requestowner
 
 dn: cn=notbefore,cn=index,cn={database},cn=ldbm database, cn=plugins, cn=config
 objectClass: top
 objectClass: nsIndex
-nsIndexType: eq
-nsIndexType: pres
-nsSystemIndex: false
+nsindexType: eq
+nsindexType: pres
+nsSystemindex: false
 cn: notbefore
 
 dn: cn=notafter,cn=index,cn={database},cn=ldbm database, cn=plugins, cn=config
 objectClass: top
 objectClass: nsIndex
-nsIndexType: eq
-nsIndexType: pres
-nsSystemIndex: false
+nsindexType: eq
+nsindexType: pres
+nsSystemindex: false
 cn: notafter
 
 dn: cn=duration,cn=index,cn={database},cn=ldbm database, cn=plugins, cn=config
 objectClass: top
 objectClass: nsIndex
-nsIndexType: eq
-nsIndexType: pres
-nsSystemIndex: false
+nsindexType: eq
+nsindexType: pres
+nsSystemindex: false
 cn: duration
 
 dn: cn=dateOfCreate,cn=index,cn={database},cn=ldbm database, cn=plugins, cn=config
 objectClass: top
 objectClass: nsIndex
-nsIndexType: eq
-nsIndexType: pres
-nsSystemIndex: false
+nsindexType: eq
+nsindexType: pres
+nsSystemindex: false
 cn: dateOfCreate
 
 dn: cn=revokedOn,cn=index,cn={database},cn=ldbm database, cn=plugins, cn=config
 objectClass: top
 objectClass: nsIndex
-nsIndexType: eq
-nsIndexType: pres
-nsSystemIndex: false
+nsindexType: eq
+nsindexType: pres
+nsSystemindex: false
 cn: revokedOn
 
 dn: cn=archivedBy,cn=index,cn={database},cn=ldbm database, cn=plugins, cn=config
 objectClass: top
 objectClass: nsIndex
-nsIndexType: eq
-nsIndexType: pres
-nsSystemIndex: false
+nsindexType: eq
+nsindexType: pres
+nsSystemindex: false
 cn: archivedBy
 
 dn: cn=ownername,cn=index,cn={database},cn=ldbm database, cn=plugins, cn=config
 objectClass: top
 objectClass: nsIndex
-nsIndexType: eq
-nsIndexType: pres
-nsIndexType: sub
-nsSystemIndex: false
+nsindexType: eq
+nsindexType: pres
+nsindexType: sub
+nsSystemindex: false
 cn: ownername
 
 dn: cn=subjectname,cn=index,cn={database},cn=ldbm database, cn=plugins, cn=config
 objectClass: top
 objectClass: nsIndex
-nsIndexType: eq
-nsIndexType: pres
-nsIndexType: sub
-nsSystemIndex: false
+nsindexType: eq
+nsindexType: pres
+nsindexType: sub
+nsSystemindex: false
 cn: subjectname
 
 dn: cn=requestsourceid,cn=index,cn={database},cn=ldbm database, cn=plugins, cn=config
 objectClass: top
 objectClass: nsIndex
-nsIndexType: eq
-nsIndexType: pres
-nsIndexType: sub
-nsSystemIndex: false
+nsindexType: eq
+nsindexType: pres
+nsindexType: sub
+nsSystemindex: false
 cn: requestsourceid
 
 dn: cn=revInfo,cn=index,cn={database},cn=ldbm database, cn=plugins, cn=config
 objectClass: top
 objectClass: nsIndex
-nsIndexType: eq
-nsIndexType: pres
-nsIndexType: sub
-nsSystemIndex: false
+nsindexType: eq
+nsindexType: pres
+nsindexType: sub
+nsSystemindex: false
 cn: revInfo
 
 dn: cn=extension,cn=index,cn={database},cn=ldbm database, cn=plugins, cn=config
 objectClass: top
 objectClass: nsIndex
-nsIndexType: eq
-nsIndexType: pres
-nsIndexType: sub
-nsSystemIndex: false
+nsindexType: eq
+nsindexType: pres
+nsindexType: sub
+nsSystemindex: false
 cn: extension
diff --git a/base/kra/shared/conf/vlvtasks.ldif b/base/kra/shared/conf/vlvtasks.ldif
index c8a27f1..010a75c 100644
--- a/base/kra/shared/conf/vlvtasks.ldif
+++ b/base/kra/shared/conf/vlvtasks.ldif
@@ -3,17 +3,17 @@ objectclass: top
 objectclass: extensibleObject
 cn: index1160527115
 ttl: 10
-nsInstance: {database}
-nsIndexVLVAttribute: allKeys-{instanceId}Index
-nsIndexVLVAttribute: kraAll-{instanceId}Index
-nsIndexVLVAttribute: kraArchival-{instanceId}Index
-nsIndexVLVAttribute: kraRecovery-{instanceId}Index
-nsIndexVLVAttribute: kraCanceled-{instanceId}Index
-nsIndexVLVAttribute: kraCanceledEnrollment-{instanceId}Index
-nsIndexVLVAttribute: kraCanceledRecovery-{instanceId}Index
-nsIndexVLVAttribute: kraRejected-{instanceId}Index
-nsIndexVLVAttribute: kraRejectedEnrollment-{instanceId}Index
-nsIndexVLVAttribute: kraRejectedRecovery-{instanceId}Index
-nsIndexVLVAttribute: kraComplete-{instanceId}Index
-nsIndexVLVAttribute: kraCompleteEnrollment-{instanceId}Index
-nsIndexVLVAttribute: kraCompleteRecovery-{instanceId}Index
+nsinstance: {database}
+nsindexVLVAttribute: allKeys-{instanceId}Index
+nsindexVLVAttribute: kraAll-{instanceId}Index
+nsindexVLVAttribute: kraArchival-{instanceId}Index
+nsindexVLVAttribute: kraRecovery-{instanceId}Index
+nsindexVLVAttribute: kraCanceled-{instanceId}Index
+nsindexVLVAttribute: kraCanceledEnrollment-{instanceId}Index
+nsindexVLVAttribute: kraCanceledRecovery-{instanceId}Index
+nsindexVLVAttribute: kraRejected-{instanceId}Index
+nsindexVLVAttribute: kraRejectedEnrollment-{instanceId}Index
+nsindexVLVAttribute: kraRejectedRecovery-{instanceId}Index
+nsindexVLVAttribute: kraComplete-{instanceId}Index
+nsindexVLVAttribute: kraCompleteEnrollment-{instanceId}Index
+nsindexVLVAttribute: kraCompleteRecovery-{instanceId}Index
diff --git a/base/ocsp/shared/conf/index.ldif b/base/ocsp/shared/conf/index.ldif
index 1841870..7cfaea7 100644
--- a/base/ocsp/shared/conf/index.ldif
+++ b/base/ocsp/shared/conf/index.ldif
@@ -6,198 +6,198 @@
 dn: cn=revokedby,cn=index,cn={database},cn=ldbm database, cn=plugins, cn=config
 objectClass: top
 objectClass: nsIndex
-nsIndexType: eq 
-nsSystemIndex: false
+nsindexType: eq
+nsSystemindex: false
 cn: revokedby
 
 dn: cn=issuedby,cn=index,cn={database},cn=ldbm database, cn=plugins, cn=config
 objectClass: top
 objectClass: nsIndex
-nsIndexType: eq
-nsSystemIndex: false
+nsindexType: eq
+nsSystemindex: false
 cn: issuedby
 
 dn: cn=publicKeyData,cn=index,cn={database},cn=ldbm database, cn=plugins, cn=config
 objectClass: top
 objectClass: nsIndex
-nsIndexType: eq
-nsSystemIndex: false
+nsindexType: eq
+nsSystemindex: false
 cn: publicKeyData
 
 dn: cn=clientId,cn=index,cn={database},cn=ldbm database, cn=plugins, cn=config
 objectClass: top
 objectClass: nsIndex
-nsIndexType: eq
-nsSystemIndex: false
+nsindexType: eq
+nsSystemindex: false
 cn: clientId
 
 dn: cn=dataType,cn=index,cn={database},cn=ldbm database, cn=plugins, cn=config
 objectClass: top
 objectClass: nsIndex
-nsIndexType: eq
-nsSystemIndex: false
+nsindexType: eq
+nsSystemindex: false
 cn: dataType
 
 dn: cn=status,cn=index,cn={database},cn=ldbm database, cn=plugins, cn=config
 objectClass: top
 objectClass: nsIndex
-nsIndexType: eq
-nsSystemIndex: false
+nsindexType: eq
+nsSystemindex: false
 cn: status
 
 dn: cn=description,cn=index,cn={database},cn=ldbm database, cn=plugins, cn=config
 objectClass: top
 objectClass: nsIndex
-nsIndexType: eq
-nsIndexType: pres
-nsSystemIndex: false
+nsindexType: eq
+nsindexType: pres
+nsSystemindex: false
 cn: description
 
 dn: cn=serialno,cn=index,cn={database},cn=ldbm database, cn=plugins, cn=config
 objectClass: top
 objectClass: nsIndex
-nsIndexType: eq
-nsIndexType: pres
-nsSystemIndex: false
+nsindexType: eq
+nsindexType: pres
+nsSystemindex: false
 cn: serialno
 
 dn: cn=metaInfo,cn=index,cn={database},cn=ldbm database, cn=plugins, cn=config
 objectClass: top
 objectClass: nsIndex
-nsIndexType: eq
-nsIndexType: pres
-nsSystemIndex: false
+nsindexType: eq
+nsindexType: pres
+nsSystemindex: false
 cn: metaInfo
 
 dn: cn=certstatus,cn=index,cn={database},cn=ldbm database, cn=plugins, cn=config
 objectClass: top
 objectClass: nsIndex
-nsIndexType: eq
-nsIndexType: pres
-nsSystemIndex: false
+nsindexType: eq
+nsindexType: pres
+nsSystemindex: false
 cn: certstatus
 
 dn: cn=requestid,cn=index,cn={database},cn=ldbm database, cn=plugins, cn=config
 objectClass: top
 objectClass: nsIndex
-nsIndexType: eq
-nsIndexType: pres
-nsSystemIndex: false
+nsindexType: eq
+nsindexType: pres
+nsSystemindex: false
 cn: requestid
 
 dn: cn=requesttype,cn=index,cn={database},cn=ldbm database, cn=plugins, cn=config
 objectClass: top
 objectClass: nsIndex
-nsIndexType: eq
-nsIndexType: pres
-nsSystemIndex: false
+nsindexType: eq
+nsindexType: pres
+nsSystemindex: false
 cn: requesttype
 
 dn: cn=requeststate,cn=index,cn={database},cn=ldbm database, cn=plugins, cn=config
 objectClass: top
 objectClass: nsIndex
-nsIndexType: eq
-nsIndexType: pres
-nsSystemIndex: false
+nsindexType: eq
+nsindexType: pres
+nsSystemindex: false
 cn: requeststate
 
 dn: cn=requestowner,cn=index,cn={database},cn=ldbm database, cn=plugins, cn=config
 objectClass: top
 objectClass: nsIndex
-nsIndexType: eq
-nsIndexType: pres
-nsSystemIndex: false
+nsindexType: eq
+nsindexType: pres
+nsSystemindex: false
 cn: requestowner
 
 dn: cn=notbefore,cn=index,cn={database},cn=ldbm database, cn=plugins, cn=config
 objectClass: top
 objectClass: nsIndex
-nsIndexType: eq
-nsIndexType: pres
-nsSystemIndex: false
+nsindexType: eq
+nsindexType: pres
+nsSystemindex: false
 cn: notbefore
 
 dn: cn=notafter,cn=index,cn={database},cn=ldbm database, cn=plugins, cn=config
 objectClass: top
 objectClass: nsIndex
-nsIndexType: eq
-nsIndexType: pres
-nsSystemIndex: false
+nsindexType: eq
+nsindexType: pres
+nsSystemindex: false
 cn: notafter
 
 dn: cn=duration,cn=index,cn={database},cn=ldbm database, cn=plugins, cn=config
 objectClass: top
 objectClass: nsIndex
-nsIndexType: eq
-nsIndexType: pres
-nsSystemIndex: false
+nsindexType: eq
+nsindexType: pres
+nsSystemindex: false
 cn: duration
 
 dn: cn=dateOfCreate,cn=index,cn={database},cn=ldbm database, cn=plugins, cn=config
 objectClass: top
 objectClass: nsIndex
-nsIndexType: eq
-nsIndexType: pres
-nsSystemIndex: false
+nsindexType: eq
+nsindexType: pres
+nsSystemindex: false
 cn: dateOfCreate
 
 dn: cn=revokedOn,cn=index,cn={database},cn=ldbm database, cn=plugins, cn=config
 objectClass: top
 objectClass: nsIndex
-nsIndexType: eq
-nsIndexType: pres
-nsSystemIndex: false
+nsindexType: eq
+nsindexType: pres
+nsSystemindex: false
 cn: revokedOn
 
 dn: cn=archivedBy,cn=index,cn={database},cn=ldbm database, cn=plugins, cn=config
 objectClass: top
 objectClass: nsIndex
-nsIndexType: eq
-nsIndexType: pres
-nsSystemIndex: false
+nsindexType: eq
+nsindexType: pres
+nsSystemindex: false
 cn: archivedBy
 
 dn: cn=ownername,cn=index,cn={database},cn=ldbm database, cn=plugins, cn=config
 objectClass: top
 objectClass: nsIndex
-nsIndexType: eq
-nsIndexType: pres
-nsIndexType: sub
-nsSystemIndex: false
+nsindexType: eq
+nsindexType: pres
+nsindexType: sub
+nsSystemindex: false
 cn: ownername
 
 dn: cn=subjectname,cn=index,cn={database},cn=ldbm database, cn=plugins, cn=config
 objectClass: top
 objectClass: nsIndex
-nsIndexType: eq
-nsIndexType: pres
-nsIndexType: sub
-nsSystemIndex: false
+nsindexType: eq
+nsindexType: pres
+nsindexType: sub
+nsSystemindex: false
 cn: subjectname
 
 dn: cn=requestsourceid,cn=index,cn={database},cn=ldbm database, cn=plugins, cn=config
 objectClass: top
 objectClass: nsIndex
-nsIndexType: eq
-nsIndexType: pres
-nsIndexType: sub
-nsSystemIndex: false
+nsindexType: eq
+nsindexType: pres
+nsindexType: sub
+nsSystemindex: false
 cn: requestsourceid
 
 dn: cn=revInfo,cn=index,cn={database},cn=ldbm database, cn=plugins, cn=config
 objectClass: top
 objectClass: nsIndex
-nsIndexType: eq
-nsIndexType: pres
-nsIndexType: sub
-nsSystemIndex: false
+nsindexType: eq
+nsindexType: pres
+nsindexType: sub
+nsSystemindex: false
 cn: revInfo
 
 dn: cn=extension,cn=index,cn={database},cn=ldbm database, cn=plugins, cn=config
 objectClass: top
 objectClass: nsIndex
-nsIndexType: eq
-nsIndexType: pres
-nsIndexType: sub
-nsSystemIndex: false
+nsindexType: eq
+nsindexType: pres
+nsindexType: sub
+nsSystemindex: false
 cn: extension
diff --git a/base/tks/shared/conf/index.ldif b/base/tks/shared/conf/index.ldif
index 1841870..7cfaea7 100644
--- a/base/tks/shared/conf/index.ldif
+++ b/base/tks/shared/conf/index.ldif
@@ -6,198 +6,198 @@
 dn: cn=revokedby,cn=index,cn={database},cn=ldbm database, cn=plugins, cn=config
 objectClass: top
 objectClass: nsIndex
-nsIndexType: eq 
-nsSystemIndex: false
+nsindexType: eq
+nsSystemindex: false
 cn: revokedby
 
 dn: cn=issuedby,cn=index,cn={database},cn=ldbm database, cn=plugins, cn=config
 objectClass: top
 objectClass: nsIndex
-nsIndexType: eq
-nsSystemIndex: false
+nsindexType: eq
+nsSystemindex: false
 cn: issuedby
 
 dn: cn=publicKeyData,cn=index,cn={database},cn=ldbm database, cn=plugins, cn=config
 objectClass: top
 objectClass: nsIndex
-nsIndexType: eq
-nsSystemIndex: false
+nsindexType: eq
+nsSystemindex: false
 cn: publicKeyData
 
 dn: cn=clientId,cn=index,cn={database},cn=ldbm database, cn=plugins, cn=config
 objectClass: top
 objectClass: nsIndex
-nsIndexType: eq
-nsSystemIndex: false
+nsindexType: eq
+nsSystemindex: false
 cn: clientId
 
 dn: cn=dataType,cn=index,cn={database},cn=ldbm database, cn=plugins, cn=config
 objectClass: top
 objectClass: nsIndex
-nsIndexType: eq
-nsSystemIndex: false
+nsindexType: eq
+nsSystemindex: false
 cn: dataType
 
 dn: cn=status,cn=index,cn={database},cn=ldbm database, cn=plugins, cn=config
 objectClass: top
 objectClass: nsIndex
-nsIndexType: eq
-nsSystemIndex: false
+nsindexType: eq
+nsSystemindex: false
 cn: status
 
 dn: cn=description,cn=index,cn={database},cn=ldbm database, cn=plugins, cn=config
 objectClass: top
 objectClass: nsIndex
-nsIndexType: eq
-nsIndexType: pres
-nsSystemIndex: false
+nsindexType: eq
+nsindexType: pres
+nsSystemindex: false
 cn: description
 
 dn: cn=serialno,cn=index,cn={database},cn=ldbm database, cn=plugins, cn=config
 objectClass: top
 objectClass: nsIndex
-nsIndexType: eq
-nsIndexType: pres
-nsSystemIndex: false
+nsindexType: eq
+nsindexType: pres
+nsSystemindex: false
 cn: serialno
 
 dn: cn=metaInfo,cn=index,cn={database},cn=ldbm database, cn=plugins, cn=config
 objectClass: top
 objectClass: nsIndex
-nsIndexType: eq
-nsIndexType: pres
-nsSystemIndex: false
+nsindexType: eq
+nsindexType: pres
+nsSystemindex: false
 cn: metaInfo
 
 dn: cn=certstatus,cn=index,cn={database},cn=ldbm database, cn=plugins, cn=config
 objectClass: top
 objectClass: nsIndex
-nsIndexType: eq
-nsIndexType: pres
-nsSystemIndex: false
+nsindexType: eq
+nsindexType: pres
+nsSystemindex: false
 cn: certstatus
 
 dn: cn=requestid,cn=index,cn={database},cn=ldbm database, cn=plugins, cn=config
 objectClass: top
 objectClass: nsIndex
-nsIndexType: eq
-nsIndexType: pres
-nsSystemIndex: false
+nsindexType: eq
+nsindexType: pres
+nsSystemindex: false
 cn: requestid
 
 dn: cn=requesttype,cn=index,cn={database},cn=ldbm database, cn=plugins, cn=config
 objectClass: top
 objectClass: nsIndex
-nsIndexType: eq
-nsIndexType: pres
-nsSystemIndex: false
+nsindexType: eq
+nsindexType: pres
+nsSystemindex: false
 cn: requesttype
 
 dn: cn=requeststate,cn=index,cn={database},cn=ldbm database, cn=plugins, cn=config
 objectClass: top
 objectClass: nsIndex
-nsIndexType: eq
-nsIndexType: pres
-nsSystemIndex: false
+nsindexType: eq
+nsindexType: pres
+nsSystemindex: false
 cn: requeststate
 
 dn: cn=requestowner,cn=index,cn={database},cn=ldbm database, cn=plugins, cn=config
 objectClass: top
 objectClass: nsIndex
-nsIndexType: eq
-nsIndexType: pres
-nsSystemIndex: false
+nsindexType: eq
+nsindexType: pres
+nsSystemindex: false
 cn: requestowner
 
 dn: cn=notbefore,cn=index,cn={database},cn=ldbm database, cn=plugins, cn=config
 objectClass: top
 objectClass: nsIndex
-nsIndexType: eq
-nsIndexType: pres
-nsSystemIndex: false
+nsindexType: eq
+nsindexType: pres
+nsSystemindex: false
 cn: notbefore
 
 dn: cn=notafter,cn=index,cn={database},cn=ldbm database, cn=plugins, cn=config
 objectClass: top
 objectClass: nsIndex
-nsIndexType: eq
-nsIndexType: pres
-nsSystemIndex: false
+nsindexType: eq
+nsindexType: pres
+nsSystemindex: false
 cn: notafter
 
 dn: cn=duration,cn=index,cn={database},cn=ldbm database, cn=plugins, cn=config
 objectClass: top
 objectClass: nsIndex
-nsIndexType: eq
-nsIndexType: pres
-nsSystemIndex: false
+nsindexType: eq
+nsindexType: pres
+nsSystemindex: false
 cn: duration
 
 dn: cn=dateOfCreate,cn=index,cn={database},cn=ldbm database, cn=plugins, cn=config
 objectClass: top
 objectClass: nsIndex
-nsIndexType: eq
-nsIndexType: pres
-nsSystemIndex: false
+nsindexType: eq
+nsindexType: pres
+nsSystemindex: false
 cn: dateOfCreate
 
 dn: cn=revokedOn,cn=index,cn={database},cn=ldbm database, cn=plugins, cn=config
 objectClass: top
 objectClass: nsIndex
-nsIndexType: eq
-nsIndexType: pres
-nsSystemIndex: false
+nsindexType: eq
+nsindexType: pres
+nsSystemindex: false
 cn: revokedOn
 
 dn: cn=archivedBy,cn=index,cn={database},cn=ldbm database, cn=plugins, cn=config
 objectClass: top
 objectClass: nsIndex
-nsIndexType: eq
-nsIndexType: pres
-nsSystemIndex: false
+nsindexType: eq
+nsindexType: pres
+nsSystemindex: false
 cn: archivedBy
 
 dn: cn=ownername,cn=index,cn={database},cn=ldbm database, cn=plugins, cn=config
 objectClass: top
 objectClass: nsIndex
-nsIndexType: eq
-nsIndexType: pres
-nsIndexType: sub
-nsSystemIndex: false
+nsindexType: eq
+nsindexType: pres
+nsindexType: sub
+nsSystemindex: false
 cn: ownername
 
 dn: cn=subjectname,cn=index,cn={database},cn=ldbm database, cn=plugins, cn=config
 objectClass: top
 objectClass: nsIndex
-nsIndexType: eq
-nsIndexType: pres
-nsIndexType: sub
-nsSystemIndex: false
+nsindexType: eq
+nsindexType: pres
+nsindexType: sub
+nsSystemindex: false
 cn: subjectname
 
 dn: cn=requestsourceid,cn=index,cn={database},cn=ldbm database, cn=plugins, cn=config
 objectClass: top
 objectClass: nsIndex
-nsIndexType: eq
-nsIndexType: pres
-nsIndexType: sub
-nsSystemIndex: false
+nsindexType: eq
+nsindexType: pres
+nsindexType: sub
+nsSystemindex: false
 cn: requestsourceid
 
 dn: cn=revInfo,cn=index,cn={database},cn=ldbm database, cn=plugins, cn=config
 objectClass: top
 objectClass: nsIndex
-nsIndexType: eq
-nsIndexType: pres
-nsIndexType: sub
-nsSystemIndex: false
+nsindexType: eq
+nsindexType: pres
+nsindexType: sub
+nsSystemindex: false
 cn: revInfo
 
 dn: cn=extension,cn=index,cn={database},cn=ldbm database, cn=plugins, cn=config
 objectClass: top
 objectClass: nsIndex
-nsIndexType: eq
-nsIndexType: pres
-nsIndexType: sub
-nsSystemIndex: false
+nsindexType: eq
+nsindexType: pres
+nsindexType: sub
+nsSystemindex: false
 cn: extension
diff --git a/base/tps-tomcat/shared/conf/vlvtasks.ldif b/base/tps-tomcat/shared/conf/vlvtasks.ldif
index b6b4bb7..b1b93aa 100644
--- a/base/tps-tomcat/shared/conf/vlvtasks.ldif
+++ b/base/tps-tomcat/shared/conf/vlvtasks.ldif
@@ -23,6 +23,6 @@ objectclass: top
 objectclass: extensibleObject
 cn: index1160528734
 ttl: 4
-nsInstance: userRoot
-nsIndexVLVAttribute: listTokensIndex
-nsIndexVLVAttribute: listActivitiesIndex
+nsinstance: userRoot
+nsindexVLVAttribute: listTokensIndex
+nsindexVLVAttribute: listActivitiesIndex
diff --git a/base/tps/scripts/vlvtasks.ldif b/base/tps/scripts/vlvtasks.ldif
index b6b4bb7..b1b93aa 100644
--- a/base/tps/scripts/vlvtasks.ldif
+++ b/base/tps/scripts/vlvtasks.ldif
@@ -23,6 +23,6 @@ objectclass: top
 objectclass: extensibleObject
 cn: index1160528734
 ttl: 4
-nsInstance: userRoot
-nsIndexVLVAttribute: listTokensIndex
-nsIndexVLVAttribute: listActivitiesIndex
+nsinstance: userRoot
+nsindexVLVAttribute: listTokensIndex
+nsindexVLVAttribute: listActivitiesIndex
-- 
1.9.0

